<?php
require_once 'config.php';
$url = $local_url . "/loadprofile";

/*
 *   9 | ses66181+3215@gmail.com     | d0fbea2563b377ea7074bced45c88dcb
  8 | ses66181+2566@gmail.com     | d0fbea2563b377ea7074bced45c88dcb
  7 | ses66181+13@gmail.com       | d0fbea2563b377ea7074bced45c88dcb
  6 | obaxnoma@gmail.com          | 7c539a49b2bad0570cd0f5dc1cf28df0
  5 | ses66181+9478@gmail.com     | d0fbea2563b377ea7074bced45c88dcb
  4 | ses66181+6018@gmail.com     | d0fbea2563b377ea7074bced45c88dcb
  3 | ses66181+3@gmail.com        | d0fbea2563b377ea7074bced45c88dcb
  2 | ses66181+2@gmail.com        | d0fbea2563b377ea7074bced45c88dcb
  1 | ses66181+1@gmail.com        | d0fbea2563b377ea7074bced45c88dcb

 */

$data = array(
    "member_id" => 1,
    "sessionid" => "ABCDEFGHIJKLMNOP"
); 

$content = json_encode($data);

$curl = curl_init($url);
curl_setopt($curl, CURLOPT_HEADER, false);
curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
curl_setopt($curl, CURLOPT_HTTPHEADER,
        array("Content-type" => "application/json"));
curl_setopt($curl, CURLOPT_POST, true);
curl_setopt($curl, CURLOPT_POSTFIELDS, $content);

$json_response = curl_exec($curl);

$status = curl_getinfo($curl, CURLINFO_HTTP_CODE);

if ( $status != 200 ) {
    echo ("Error: call to URL $url failed with status $status, response $json_response, curl_error " . curl_error($curl) . ", curl_errno " . curl_errno($curl));
}

curl_close($curl);

$response = json_decode($json_response, true);

//echo "<hr/>";
//var_dump($data);

//echo "<hr/><pre>";
echo "<pre>";
echo str_replace(array("{","}",","),array("{\n\t","}\n",",\n\t"),$json_response);
echo "</pre>";

//echo "</pre><hr/>";

echo "<hr/>";

// saving the session in a file for other call use
$myfile = fopen("fl/sample_session.txt", "w") ;
$txt = $response['sessionid']."\n";
fwrite($myfile, $txt);
$txt = $response['member_id']."\n";
fwrite($myfile, $txt);
fclose($myfile);


echo highlight_string(file_get_contents(__FILE__));
?>
